Results 1 to 2 of 2

Thread: Ogg test won't install

  1. #1
    Join Date
    Jan 2009
    Posts
    8

    Default Ogg test won't install

    Hello

    Been using the suite extensively recently (I am comparing Xen, KVM and OpenVZ virtual machines to native performance).

    Anyway, the ogg test won't install:

    Code:
    checking for pkg-config... yes
    checking for pkg-config... /usr/bin/pkg-config
    checking pkg-config is at least version 0.9.0... yes
    checking for OGG... no
    checking for Ogg... no
    *** Could not run Ogg test program, checking why...
    *** The test program compiled, but did not run. This usually means
    *** that the run-time linker is not finding Ogg or finding the wrong
    *** version of Ogg. If it is not finding Ogg, you'll need to set your
    *** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point
    *** to the installed location  Also, make sure you have run ldconfig if that
    *** is required on your system
    ***
    *** If you have an old version installed, it is best to remove it, although
    *** you may also be able to get things to work by modifying LD_LIBRARY_PATH
    I'm using Ubuntu 8.04 in a server based installation.

    I'm probably missing some packages.

    Does anyone know which one I should install?

    Thank you

  2. #2
    Join Date
    Feb 2009
    Posts
    1

    Default

    Over a month later is probably too late you help you, but I ran into a similar quandry myself until I realized the solution. So perhaps this will help someone else...

    If you just installed the module because you needed it as a dependency for something else, you need to run the command "ldconfig" in SSH. This will make the module library cache reset and detect the newly installed bit. If you don't do this, programs dependent on your newly installed bit will think it's not there and won't work.

    Hope that helps someone.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •